Results 1 to 6 of 6

Thread: ShowEQ 6.1.1 on Linux Mint 20.1

  1. #1
    Registered User
    Join Date
    May 2021
    Posts
    7

    ShowEQ 6.1.1 on Linux Mint 20.1

    Add the QT4 repos
    Code:
    sudo add-apt-repository ppa:gezakovacs/ppa
    sudo apt-get update
    Since /bin/uic throws up an error because it cannot find QT5 files we will need to point the QTChooser to the QT4 bin
    Code:
    sudo xed /usr/lib/x86_64-linux-gnu/qt-default/qtchooser/default.conf
    Copy/paste the following line to the top of the default.conf and save the file
    Code:
    /usr/lib/x86_64-linux-gnu/qt4/bin
    Install the required dependancies
    Code:
    sudo apt-get install subversion
    sudo apt-get install build-essential
    sudo apt-get install libpcap0.8-dev
    sudo apt-get install zlib1g-dev
    sudo apt-get install libqt4-dev
    sudo apt-get install autoconf
    sudo apt-get install automake
    sudo apt-get install libtool
    sudo apt-get install libx11-dev
    sudo apt-get install libxext-dev
    sudo apt-get install libpng-dev
    sudo apt-get install libice-dev
    Use Subversion to download ShowEQ 6.1.1
    Code:
    svn checkout http://svn.code.sf.net/p/seq/svn/showeq/tags/v6_1_2/ showeq-6.1.2
    Compile ShowEQ 6.1.1
    Code:
    cd showeq-6.1.1
    sudo make -f Makefile.dist build
    sudo ./configure
    sudo make
    sudo make install
    Give your account access to /usr/local/share/showeq folder
    Code:
    sudo chown -R username:username /usr/local/share/showeq
    (username is your account name)

    Copy eqstr_us.txt and spells_us.txt from your EQ computer to either a NAS or USB drive.
    Code:
    C:\Program Files (x86)\Steam\steamapps\common\Everquest F2P
    Copy eqstr_us.txt and spells_us.txt from your NAS or USB drive to
    Code:
    /usr/local/share/showeq
    Download Brewall EQ maps zip from
    Code:
    http://www.eqmaps.info
    and follow the HOW TO INSTALL instructions to copy the new maps to your EQ computer

    Download the Brewall EQ maps zip to your ShowEQ computer also and unzip into Downloads

    Download the mapconvert script from
    Code:
    http://www.showeq.net/forums/showthread.php?7448-Updated-mapconvert-script
    Copy and paste the mapconvert script into Downloads/brewall folder

    Right click the mapconvert script and from the pop menu select Properties
    Click the Permissions tab and check the Execute: Allow executing file as progrm checkbox and click Close

    Open a terminal windows and cd to Downloads/brewall
    Run ./mapconvert and you should see
    Converting aalishai
    Converting abysmal...etc

    Once the mapconvert script completes open Nemo file browser window and go to Downloads/brewall
    Click the search icon (Looks like a magnifying glass) in the upper right
    Type .map to only display the newly converted .map files
    Copy/paste all the .map files into
    Code:
    /usr/local/share/showeq/maps



    Starting ShowEQ 6.1.1
    Code:
    cd /usr/local/bin
    sudo ./showeq
    Select the network interface that will be receiving packets when Showeq starts
    Select Network\Monitor Next EQ Client Seen, or set the IP or MAC address of your EQ computer

    Enjoy the Skittles

    Screenshot from 2021-05-02 13-22-25.jpg
    Last edited by MrDabrudda; 05-20-2021 at 04:16 PM.

  2. #2
    Registered User
    Join Date
    Apr 2009
    Posts
    1

    Re: ShowEQ 6.1.1 on Linux Mint 20.1

    Thanks for this Mrdabrudda. I didn't get far when trying to set up on linux mint sadly - the xed command to edit default.conf launches an editor for this file, but without write permissions? I am no Linux guy, tried an amateur effort at chmod on the file to get access so I could add the command line in xed but got the error 'cannot operate on a dangling symlink'? Is there a simple step to remedy this?

  3. #3
    Registered User
    Join Date
    May 2021
    Posts
    7

    Re: ShowEQ 6.1.1 on Linux Mint 20.1

    Did you run XED as a root so you have permissions to edit a system file?


    Code:
    sudo xed /usr/lib/x86_64-linux-gnu/qt-default/qtchooser/default.conf

  4. #4
    Registered User
    Join Date
    Sep 2008
    Posts
    2

    Re: ShowEQ 6.1.1 on Linux Mint 20.1

    Try running

    Code:
    sudo apt-get install qtchooser
    before using xed.
    Solved the problem for me.

  5. #5
    Registered User
    Join Date
    Sep 2008
    Posts
    2

    Re: ShowEQ 6.1.1 on Linux Mint 20.1

    After the
    Code:
    sudo add-apt-repository ppa:gezakovacs/ppa
    you will need to run
    Code:
    sudo apt-get update
    For convenience :
    Code:
    sudo apt-get install subversion build-essential libpcap0.8-dev zlib1g-dev libqt4-dev autoconf automake libtool libx11-dev libxext-dev

  6. #6
    Registered User
    Join Date
    May 2021
    Posts
    7

    Re: ShowEQ 6.1.1 on Linux Mint 20.1

    With ShowEQ 6.1.2...
    PNG dev and ICE dev packages are required to compile
    I've updated the How-to to include those two packages.
    And updated the SVN address to ShowEQ 6.1.2
    Code:
    sudo apt-get install libpng-dev
    sudo apt-get install libice-dev
    Last edited by MrDabrudda; 05-20-2021 at 04:08 PM.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

You may post new threads
You may post replies
You may post attachments
You may edit your posts
HTML code is Off
vB code is On
Smilies are On
[IMG] code is On